> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete registration

> Delete an NDIS registration for a provider



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml delete /v1/organisations/{organisationId}/providers/{providerId}/registrations/{registrationId}
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/providers/{providerId}/registrations/{registrationId}:
    delete:
      tags:
        - Provider
      summary: Delete registration
      description: Delete an NDIS registration for a provider
      operationId: ProviderController_deleteRegistration
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: providerId
          required: true
          in: path
          schema:
            type: string
        - name: registrationId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderRegistration'
components:
  schemas:
    ProviderRegistration:
      type: object
      properties:
        id:
          type: string
        providerId:
          type: string
        type:
          enum:
            - medicare
            - phi
            - ndis
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        deleted:
          type: boolean
        deletedAt:
          format: date-time
          type: string
        ndis:
          $ref: '#/components/schemas/ProviderRegistrationNdis'
        medicare:
          $ref: '#/components/schemas/ProviderRegistrationMedicare'
        phi:
          $ref: '#/components/schemas/ProviderRegistrationPhi'
      required:
        - id
        - providerId
        - type
        - status
        - createdAt
        - updatedAt
        - deleted
    ProviderRegistrationNdis:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
    ProviderRegistrationMedicare:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
    ProviderRegistrationPhi:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber

````